/**
 * 动态表情
 */
const fluentEmojis= {
	"[Kiss]":"Face Blowing a Kiss.png",
	"[Tears]":"Face with Tears of Joy.png",
	"[Cry]":"Loudly Crying Face.png",
	"[Smiling]":"Smiling Face with Open Hands.png",
	"[Confound]":"Confounded Face.png",
	"[Mask]":"Face with Medical Mask.png",
	"[Zany]":"Zany Face.png",
	"[Vomit]":"Face Vomiting.png",
	"[Kissing]":"Kissing Face.png",
	"[Fearful]":"Fearful Face.png",
	"[Pleading]":"Pleading Face.png",
	"[Scream]":"Face Screaming in Fear.png",
	"[AngryFace]":"Angry Face.png",
	"[Zipper]":"Zipper-Mouth Face.png",
	"[Expressionless]":"Expressionless Face.png",
	"[SpiralEyes]":"Face with Spiral Eyes.png",
	"[Shushing]":"Shushing Face.png",
	"[MoneyMouth]":"Money-Mouth Face.png",
	"[ThumbsUp]":"Thumbs Up Light Skin Tone.png",
	"[ThumbsDown]":"Thumbs Down Light Skin Tone.png",
	"[Victory]":"Victory Hand Light Skin Tone.png",
	"[Ok]":"OK Hand Light Skin Tone.png",
	"[Pingching]":"Pinching Hand Light Skin Tone.png",
	"[Hands]":"Folded Hands Light Skin Tone.png",
	"[Clap]":"Clapping Hands Light Skin Tone.png",
	"[OpenHands]":"Open Hands Light Skin Tone.png",
	"[Waing]":"Waving Hand Light Skin Tone.png",
	"[Writing]":"Writing Hand Light Skin Tone.png",
	"[PigFace]":"Pig Face.png",
	"[Cat]":"Cat with Wry Smile.png",
	"[Blowfish]":"Blowfish.png",
	"[Yen]":"Yen Banknote.png",
	"[Triangular]":"Triangular Flag.png",
	"[Heart]":"Beating Heart.png",
	"[Broken]":"Broken Heart.png",
	"[1st]": "1st Place Medal.png",
	"[2nd]":"2nd Place Medal.png",
	"[3rd]":"3rd Place Medal.png",
	"[Selfie]":"Selfie Light Skin Tone.png",
	"[Teacup]":"Teacup Without Handle.png",
	"[New]":"New Button.png",
	"[Check]":"Check Mark Button.png",
	"[Anger]":"Anger Symbol.png",
	"[Acceptable]":'Japanese Acceptable Button.png',
	"[Hundred]":"Hundred Points.png",
	"[Crab]":"Crab.png",
	"[MoneyBag]":"Money Bag.png",
	"[Zzz]":"Zzz.png",
    "[Bomb]":"Bomb.png",
}
// 调整动态表情数据结构与原来结构对应
var arr = []
  for (var i in fluentEmojis) {
  	var obj = {}
  	obj.alt = i,
  	obj.url = fluentEmojis[i]
  	arr.push(obj)
}
var newFluentEmojis = {
	imgArr:[
		{
			emojiName: "newList",
			emojiSort: 3,
			minEmoji: true,
			emojiDir: 'emojistatic',
			dynamicEmojiDir:'emoji',
			emojiList: [arr]
		}
	]
}

export const emojiPath = 'public/static/emoji/emojistatic/'
export const dynamicEmojiPath = 'public/static/emoji/emoji/'


export const emojiList = {
    newFluentEmojis
}
