// 新老表情包渲染规则
// 获取旧表情的路径地址
import {
		baseUrl
	} from '@/util/http/interface'
// 旧动态表情
import emojiOpen from "./emojiOpen"
// 动态表情
import {emojiList} from "./emojiNew"
export function parseEmotion(str){
		let imgArr = ''
		// 匹配是否为汉字的正则
		var pattern = /[\u4e00-\u9fa5]/
		let replacedStr = str.replace(/\[([^(\]|\[)]*)\]/g,(item,index) => {
			if(pattern.test(item)) {
				imgArr = emojiOpen.imgArr
				for (let arrI = 0; arrI < imgArr.length; arrI++) {
					let emojiList = imgArr[arrI].emojiList;
					for (let i = 0; i < emojiList.length; i++) {
						let row = emojiList[i];
						for (let j = 0; j < row.length; j++) {
							let EM = row[j];
							if (EM.alt == item) {
								//在线表情路径，图文混排必须使用网络路径，请上传一份表情到你的服务器后再替换此路径
								//比如你上传服务器后，你的100.gif路径为https://www.xxx.com/emoji/100.gif 则替换onlinePath填写为https://www.xxx.com/emoji/
								// let onlinePath = 'https://s2.ax1x.com/2019/04/12/'
								// let imgstr = '<image src="'+onlinePath+this.onlineEmoji[EM.url]+'">';
								//#ifdef APP-PLUS
								//App环境下，内置表情包以提升速度 
								var emojiRealPathOld = '/static/app-plus/emoji';
								//#endif
				
								//#ifndef APP-PLUS
								//非app下，使用服务器端路径，以减少体积
									var emojiRealPathOld = baseUrl + 'public/static/emoji';
								//#endif
								//let onlinePath=this.emojiPath
								let imgstr = '<img style="width:24px;height:24px;vertical-align:middle;" src="' + emojiRealPathOld + '/' +
									imgArr[arrI].emojiDir + '/' + EM.url + '">';
								return imgstr;
							}
						}
						return item;
					}
				}
								
			}
			else {
				imgArr = emojiList.newFluentEmojis.imgArr
				for (let arrI = 0; arrI < imgArr.length; arrI++) {
					let emojiList = imgArr[arrI].emojiList;
					for (let i = 0; i < emojiList.length; i++) {
						let row = emojiList[i];
						for (let j = 0; j < row.length; j++) {
							let EM = row[j];
							if (EM.alt == item) {
								//在线表情路径，图文混排必须使用网络路径，请上传一份表情到你的服务器后再替换此路径
								//比如你上传服务器后，你的100.gif路径为https://www.xxx.com/emoji/100.gif 则替换onlinePath填写为https://www.xxx.com/emoji/
								// let onlinePath = 'https://s2.ax1x.com/2019/04/12/'
								// let imgstr = '<image src="'+onlinePath+this.onlineEmoji[EM.url]+'">';
								//#ifdef APP-PLUS
								//App环境下，内置表情包以提升速度
								// let emojiRealPathNew ='/static/app-plus/emoji';
								var emojiRealPathNew = baseUrl + 'public/static/emoji';
								//#endif
				
								//#ifndef APP-PLUS
								//非app下，使用服务器端路径，以减少体积
									var emojiRealPathNew = baseUrl + 'public/static/emoji';
								//#endif
								//let onlinePath=this.emojiPath
								let imgstr = '<img style="width:24px;height:24px;vertical-align:middle;" src="' + emojiRealPathNew + '/' +
									imgArr[arrI].emojiDir + '/' + EM.url + '">';
								return imgstr;
							}
						}
						return item;
					}
				}
			}
			
		})
			//  = str.replace(/\[([^(\]|\[)]*)\]/g,(item,index) => {
			// 	console.log(item,'qwer')
				
			// });
		return replacedStr
};

export const previewEmoji = (nodes,type,targetSrc)=>{
				// console.log('预览emoji标签',content);
				if(type==1) {
					const {content} = nodes
					const {newFluentEmojis:{imgArr}} = emojiList
					const emojiUrl = baseUrl + 'public/static/emoji/'+imgArr[0].dynamicEmojiDir+'/';
					const previewUrl = []
					const contentTrak = content.split('[')
					contentTrak.shift()
					contentTrak.forEach((item,index,arr)=>arr[index] = '['+item)
					let place = 0
					targetSrc = targetSrc.replace('emojistatic',imgArr[0].dynamicEmojiDir)
					contentTrak.forEach((item,index)=>{
						imgArr[0].emojiList[0].some((item2)=>{
							if(item==item2.alt){
								if(emojiUrl+item2.url == targetSrc) place = index
								previewUrl.push(emojiUrl+item2.url)
								return true
							}
						})
					})
					if(previewUrl.length>0) {
						uni.previewImage({
							urls: previewUrl,
							current: place,
							fail: function(err) {
								console.warn(err)
							}
						})
					}
					return
				}
				if(type==2) {
					if(nodes.nodes) {
						var emojiData = nodes.nodes
					}else {
						var emojiData = nodes
					}
					const {newFluentEmojis:{imgArr}} = emojiList
					const previewUrl = []
					let place = 0
					targetSrc = targetSrc.replace('emojistatic',imgArr[0].dynamicEmojiDir)
						emojiData.forEach((item,index,arr)=>{
							if(!(item.attr) || !(item.attr.src)) arr.splice(index,1)
						})
						emojiData.forEach((item,index)=>{
							if(!(item.attr)) return false
							if(!(item.attr.src)) return false
							const src = item.attr.src
							const emojiSrc = src.replace('emojistatic',imgArr[0].dynamicEmojiDir)
							if(emojiSrc==targetSrc) place = index
							
							previewUrl.push(emojiSrc)
						})
					
					if(previewUrl.length>0) {
						uni.previewImage({
							urls: previewUrl,
							current: place,
							fail: function(err) {
								console.warn(err)
							}
						})
					}
				}
			}